hpp-corbaserver: _objref_ConfigValidations Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Friends | List of all members
_objref_ConfigValidations Class Reference

`#include <hpp/core_idl/path_validations-idl.hh>`

Inheritance diagram for _objref_ConfigValidations:
[legend]
Collaboration diagram for _objref_ConfigValidations:
[legend]

## Public Member Functions
void | add (::hpp::core_idl::ConfigValidation_ptr validation)
size_type | numberConfigValidations ()
void | clear ()
void | setSecurityMargins (const ::hpp::floatSeqSeq &margins)
void | setSecurityMarginBetweenBodies (const char *body_a, const char *body_b, ::hpp::value_type margin)
void | filterCollisionPairs (const ::hpp::core_idl::RelativeMotionMatrix &relMotion)
| _objref_ConfigValidations ()
| _objref_ConfigValidations (omniIOR *, omniIdentity *)
Public Member Functions inherited from _objref_ConfigValidation
void | deleteThis ()
::CORBA::Boolean | deleteIfExpired ()
void | persistantStorage (::CORBA::Boolean persistant)
::CORBA::Boolean | validate (const ::hpp::floatSeq &config, ::hpp::core_idl::ValidationReport_out report)
| _objref_ConfigValidation ()
| _objref_ConfigValidation (omniIOR *, omniIdentity *)

## Protected Member Functions
virtual | ~_objref_ConfigValidations ()
Protected Member Functions inherited from _objref_ConfigValidation
virtual | ~_objref_ConfigValidation ()

## Friends
class | ConfigValidations

## Constructor & Destructor Documentation

## ◆ _objref_ConfigValidations() [1/2]

_objref_ConfigValidations::_objref_ConfigValidations | ( |  | ) |
| inline

## ◆ _objref_ConfigValidations() [2/2]

_objref_ConfigValidations::_objref_ConfigValidations | ( | omniIOR * | ,
|  | omniIdentity * |
| ) |  |

## ◆ ~_objref_ConfigValidations()

virtual _objref_ConfigValidations::~_objref_ConfigValidations | ( |  | ) |
| protected virtual

## Member Function Documentation

## ◆ add()

void _objref_ConfigValidations::add | ( | ::hpp::core_idl::ConfigValidation_ptr | validation | ) |

## ◆ clear()

void _objref_ConfigValidations::clear | ( |  | ) |

## ◆ filterCollisionPairs()

void _objref_ConfigValidations::filterCollisionPairs | ( | const ::hpp::core_idl::RelativeMotionMatrix & | relMotion | ) |

## ◆ numberConfigValidations()

size_type _objref_ConfigValidations::numberConfigValidations | ( |  | ) |

## ◆ setSecurityMarginBetweenBodies()

void _objref_ConfigValidations::setSecurityMarginBetweenBodies | ( | const char * | body_a,
|  | const char * | body_b,
|  | ::hpp::value_type | margin
| ) |  |

## ◆ setSecurityMargins()

void _objref_ConfigValidations::setSecurityMargins | ( | const ::hpp::floatSeqSeq & | margins | ) |

## Friends And Related Symbol Documentation

## ◆ ConfigValidations

friend class ConfigValidations
| friend

The documentation for this class was generated from the following file:

- src/hpp/core_idl/path_validations-idl.hh